# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit distutils

# ESVN_REPO_URI="http://mds.mandriva.org/svn/mmc-agent"
DESCRIPTION="The MMC Agent and its Python plugins."
HOMEPAGE="http://mds.mandriva.org/"
SRC_URI="http://mds.mandriva.org/pub/mds/sources/${PV}/${P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~ppc64 ~x86"
IUSE=""

SLOT="0"

DEPEND=">=dev-python/setuptools-0.6_rc1
	>=dev-python/twisted-web-0.7.0
	>=dev-python/python-ldap-2.2.1"

src_unpack() {
	unpack ${A}
	cd ${S}
	epatch "${FILESDIR}"/${PN}-2.3.1-kerberos-1.patch
	epatch "${FILESDIR}"/${PN}-2.3.2-printing-1.patch
}

# from marienz's setuptools.eclass:
src_install() {
	"${python}" setup.py install --root="${D}" --no-compile "$@" || die "install failed"
	dosbin bin/*
	insinto etc/mmc/agent/keys
	doins -r conf/agent/keys/*
	insinto etc/mmc/agent
	doins -r conf/agent/*.ini
	insinto etc/mmc/plugins
	doins -r conf/plugins/*.ini
	insinto usr/share/mmc
	doins -r  contrib

	newinitd "${FILESDIR}"/mmc-agent.initd mmc-agent
}

src_test() {
	"${python}" setup.py test || die "tests failed"
}

pkg_postinst() {
	elog "To disable some plugin in your mmc environments, you have to set"
	elog "disable to 1 in /etc/mmc/plugins/*.ini"
	elog "(one config file per service)"
	elog "You can't disable the base plugin."
}
